## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

GET

/management/v2.0/vendor

### Try it

Get Vendor Information

### cURL

```bash
curl --request GET \  
  --url https://api-trial.cognigy.ai/new/management/v2.0/vendor \  
  --header 'Authorization: Basic <encoded-value>'
```

### Python

```python
import requests

url = "https://api-trial.cognigy.ai/new/management/v2.0/vendor"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
```

### JavaScript (Fetch)

```javascript
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api-trial.cognigy.ai/new/management/v2.0/vendor', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### PHP

```php
$curl = curl_init();

curl_setopt_array($curl, [\
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/management/v2.0/vendor",\
  CURLOPT_RETURNTRANSFER => true,\
  CURLOPT_ENCODING => "",\
  CURLOPT_MAXREDIRS => 10,\
  CURLOPT_TIMEOUT => 30,\
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,\
  CURLOPT_CUSTOMREQUEST => "GET",\
  CURLOPT_HTTPHEADER => [\
    "Authorization: Basic <encoded-value>"\
  ],\
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
```

### Go

```go
package main

import (
    "fmt"
    "net/http"
    "io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/management/v2.0/vendor"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "Basic <encoded-value>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Response Codes

- **200**: Success
- **400**: Bad Request
- **401**: Unauthorized
- **402**: Payment Required
- **403**: Forbidden
- **404**: Not Found
- **405**: Method Not Allowed
- **409**: Conflict
- **413**: Payload Too Large
- **500**: Internal Server Error
- **501**: Not Implemented
- **502**: Bad Gateway
- **503**: Service Unavailable
- **504**: Gateway Timeout

### Sample Success Response

```json
{
  "version": "<string>",
  "frontendBaseUrl": "<string>",
  "hasLicenseAgreement": "<string>",
  "maxContactProfileTTL": 123,
  "maxConversationTTL": 123,
  "maxSessionStateTTL": 123
}
```

### Sample Error Response

```json
{
  "type": "Bad Request",
  "title": "Bad Request Error",
  "status": 400,
  "detail": "Validation failed. Missing payload.",
  "instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
  "code": 1000,
  "traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
  "details": {}
}
```

### Authorizations

Authorization

- **Type**: string
- **In**: header
- **Required**: Basic Authentication used by routes designed for the Management-UI.

### Headers

- **Accept**: enum<string>

The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

Available options:

- `application/json`
- `application/hal+json`
- `application/xml`
- `text/xml`
- `text/csv`

### Response

- **200**: application/json

Returns some product information like the version etc.

- **version**: string - The product version we are running
- **frontendBaseUrl**: string - Base URL to the frontend UI
- **hasLicenseAgreement**: string - Flag whether users need to agree the license agreement within this env
- **maxContactProfileTTL**: number
- **maxConversationTTL**: number
- **maxSessionStateTTL**: number

Last modified on July 8, 2026.
